Loading...
Searching...
No Matches
mbedtls_gcm_context Struct Reference

The GCM context structure. More...

`#include <gcm.h>`

Collaboration diagram for mbedtls_gcm_context:
[legend]

## Data Fields

mbedtls_cipher_context_t | private_cipher_ctx
uint64_t | private_H [MBEDTLS_GCM_HTABLE_SIZE][2]
uint64_t | private_len
uint64_t | private_add_len
unsigned char | private_base_ectr [16]
unsigned char | private_y [16]
unsigned char | private_buf [16]
unsigned char | private_mode
unsigned char | private_acceleration
int | dummy

## Detailed Description

The GCM context structure.

Definition at line 58 of file gcm.h.

## Field Documentation

## dummy

int mbedtls_gcm_context::dummy

Definition at line 11 of file gcm_alt.h.

## private_acceleration

unsigned char mbedtls_gcm_context::private_acceleration

The acceleration to use.

Definition at line 73 of file gcm.h.

## private_add_len

uint64_t mbedtls_gcm_context::private_add_len

The total length of the additional data.

Definition at line 66 of file gcm.h.

## private_base_ectr

unsigned char mbedtls_gcm_context::private_base_ectr[16]

The first ECTR for tag.

Definition at line 67 of file gcm.h.

## private_buf

unsigned char mbedtls_gcm_context::private_buf[16]

The buf working value.

Definition at line 69 of file gcm.h.

## private_cipher_ctx

mbedtls_cipher_context_t mbedtls_gcm_context::private_cipher_ctx

The cipher context used.

Definition at line 62 of file gcm.h.

## private_H

uint64_t mbedtls_gcm_context::private_H[MBEDTLS_GCM_HTABLE_SIZE][2]

Precalculated HTable.

Definition at line 64 of file gcm.h.

## private_len

uint64_t mbedtls_gcm_context::private_len

The total length of the encrypted data.

Definition at line 65 of file gcm.h.

## private_mode

unsigned char mbedtls_gcm_context::private_mode

The operation to perform: MBEDTLS_GCM_ENCRYPT or MBEDTLS_GCM_DECRYPT.

Definition at line 70 of file gcm.h.

## private_y

unsigned char mbedtls_gcm_context::private_y[16]

The Y working value.

Definition at line 68 of file gcm.h.

The documentation for this struct was generated from the following files:

- gcm.h
- gcm_alt.h